Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.Office2PDFSettingData Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | Office2PDFSettingData ()
| Constructor. More...
def | Set (resource_folder_path, is_embed_font, word_setting_data, excel_setting_data)
| Set value. More...

## Static Public Attributes
| excel_setting_data = _fsdk.Office2PDFSettingData_excel_setting_data
| A setting data object that used for converting Excel format documents to PDF format documents. More...
| is_embed_font = _fsdk.Office2PDFSettingData_is_embed_font
| A boolean value which indicates whether to embed font in the converted file,Default value: false. More...
| resource_folder_path = _fsdk.Office2PDFSettingData_resource_folder_path
| A valid path of a folder which contains resource data files. This should not be an empty string. More...
| word_setting_data = _fsdk.Office2PDFSettingData_word_setting_data
| A setting data object that used for converting Word format documents to PDF format documents. More...

## Detailed Description

This class represents setting data used for converting Office(Word, Excel or PowerPoint) to PDF format file.

## Constructor & Destructor Documentation

## ◆ Office2PDFSettingData()

def FoxitPDFSDKPython2.Office2PDFSettingData.Office2PDFSettingData | ( |  | ) |

Constructor.

Constructor, with parameters.

Parameters

  [in] | resource_folder_path | A valid path of a folder which contains resource data files. This should not be an empty string. These resource data files are used to simulate the pdf format document typesetting process during conversion. They are offered in the "res/office2pdf" folder of the Foxit PDF Conversion SDK package.
  [in] | is_embed_font | true means to embed font in the converted file, while false means not.
  [in] | word_setting_data | A setting data object that used for converting Word format documents to PDF format documents.
  [in] | excel_setting_data | A setting data object that used for converting Excel format documents to PDF format documents.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython2.Office2PDFSettingData.Set | ( |  | resource_folder_path,
|  |  | is_embed_font,
|  |  | word_setting_data,
|  |  | excel_setting_data
| ) |  |

Set value.

Parameters

  [in] | resource_folder_path | A valid path of a folder which contains resource data files. This should not be an empty string. These resource data files are used to simulate the pdf format document typesetting process during conversion. They are offered in the "res/office2pdf" folder of the Foxit PDF Conversion SDK package.
  [in] | is_embed_font | true means to embed font in the converted file, while false means not.
  [in] | word_setting_data | A setting data object that used for converting Word format documents to PDF format documents.
  [in] | excel_setting_data | A setting data object that used for converting Excel format documents to PDF format documents.

Returns
  None.

## Member Data Documentation

## ◆ excel_setting_data

FoxitPDFSDKPython2.Office2PDFSettingData.excel_setting_data = _fsdk.Office2PDFSettingData_excel_setting_data
| static

A setting data object that used for converting Excel format documents to PDF format documents.

This setting is only vaild for the conversion of Excel documents to PDF format documents. For more details, please refer to class Excel2PDFConfig .

## ◆ is_embed_font

FoxitPDFSDKPython2.Office2PDFSettingData.is_embed_font = _fsdk.Office2PDFSettingData_is_embed_font
| static

A boolean value which indicates whether to embed font in the converted file,Default value: false.

true means to embed font in the converted file, while false means not.

## ◆ resource_folder_path

FoxitPDFSDKPython2.Office2PDFSettingData.resource_folder_path = _fsdk.Office2PDFSettingData_resource_folder_path
| static

A valid path of a folder which contains resource data files. This should not be an empty string.

These resource data files are used to simulate the pdf format document typesetting process during conversion. They are offered in the "res/office2pdf" folder of the Foxit PDF Conversion SDK package.

## ◆ word_setting_data

FoxitPDFSDKPython2.Office2PDFSettingData.word_setting_data = _fsdk.Office2PDFSettingData_word_setting_data
| static

A setting data object that used for converting Word format documents to PDF format documents.

This setting is only vaild for the conversion of Word documents to PDF format documents. For more details, please refer to class Word2PDFConfig .